aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPeter Becich <peterbecich@gmail.com>2023-05-22 21:59:44 -0700
committerGitHub <noreply@github.com>2023-05-23 06:59:44 +0200
commita420ccc6a8d1ceee8a413f96c61af0c968b1c255 (patch)
treeca5b210295f3ce757ce6ee3f4572975123a2f080 /tests
parent494a09c6dfd8bf625d38dc0f77e1af0e2e6ba686 (diff)
`nix flake check`: skip derivations for foreign systems (#7759)
`nix flake show` now skips derivations for foreign systems: https://github.com/NixOS/nix/pull/6988 This commit borrows from that to implement the same behavior for `nix flake check`. See "nix flake check breaks on IFD in multi-platform flake" https://github.com/NixOS/nix/issues/4265
Diffstat (limited to 'tests')
-rw-r--r--tests/flakes/check.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/flakes/check.sh b/tests/flakes/check.sh
index 865ca61b4..34b82c61c 100644
--- a/tests/flakes/check.sh
+++ b/tests/flakes/check.sh
@@ -72,6 +72,8 @@ cat > $flakeDir/flake.nix <<EOF
}
EOF
-checkRes=$(nix flake check --keep-going $flakeDir 2>&1 && fail "nix flake check should have failed" || true)
+nix flake check $flakeDir
+
+checkRes=$(nix flake check --all-systems --keep-going $flakeDir 2>&1 && fail "nix flake check --all-systems should have failed" || true)
echo "$checkRes" | grepQuiet "packages.system-1.default"
echo "$checkRes" | grepQuiet "packages.system-2.default"